services:
  st_frontend:
    container_name: safetwitch_frontend
    image: git.ngn.tf/ngn/safetwitch
    ports:
    - 8080:8280
    environment:
    - SAFETWITCH_BACKEND_DOMAIN=localhost:8081
    - SAFETWITCH_INSTANCE_DOMAIN=localhost:8080
    - SAFETWITCH_HTTPS=false
    - SAFETWITCH_DEFAULT_LOCALE=en
    - SAFETWITCH_FALLBACK_LOCALE=en
    restart: unless-stopped

  st_backend:
    container_name: safetwitch_backend
    image: codeberg.org/safetwitch/safetwitch-backend:latest
    read_only: true
    security_opt:
    - no-new-privileges:true
    cap_drop:
    - ALL
    ports:
    - 8081:7000
    environment:
    - PORT=7000
    - URL=http://localhost:8081
    restart: unless-stopped
